summaryrefslogtreecommitdiff
path: root/yocto-poky/meta/recipes-devtools/tcltk/tcl/run-ptest
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2015-09-15 22:41:29 +0300
committerPatrick Williams <patrick@stwcx.xyz>2015-09-15 22:41:29 +0300
commit21f9b84b4b729fbd7acbd465e7a3f726e4d20f91 (patch)
treeeb2d091d427ca0813b445509d59cc8e27e8ad25f /yocto-poky/meta/recipes-devtools/tcltk/tcl/run-ptest
parent101cef31e2bf54c678501155cd2106251acbd076 (diff)
parentc124f4f2e04dca16a428a76c89677328bc7bf908 (diff)
downloadopenbmc-21f9b84b4b729fbd7acbd465e7a3f726e4d20f91.tar.xz
Merge commit 'c124f4f2e04dca16a428a76c89677328bc7bf908' as 'yocto-poky'
Diffstat (limited to 'yocto-poky/meta/recipes-devtools/tcltk/tcl/run-ptest')
-rw-r--r--yocto-poky/meta/recipes-devtools/tcltk/tcl/run-ptest8
1 files changed, 8 insertions, 0 deletions
diff --git a/yocto-poky/meta/recipes-devtools/tcltk/tcl/run-ptest b/yocto-poky/meta/recipes-devtools/tcltk/tcl/run-ptest
new file mode 100644
index 000000000..dadba655f
--- /dev/null
+++ b/yocto-poky/meta/recipes-devtools/tcltk/tcl/run-ptest
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+for i in `ls tests/*.test |awk -F/ '{print $2}'`; \
+ do TCL_LIBRARY=library ./tcltest tests/all.tcl -file $i >$i.tmp 2>&1; \
+ grep -q "^Files with failing tests:" $i.tmp; \
+ if [ $? -eq 0 ]; then echo "FAIL: $i"; \
+ else echo "PASS: $i"; rm -f $i.tmp; fi; \
+done